Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class ASTNode

Base class for any AST node

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`int` | `columnNumber`
`int` | `lastColumnNumber`
`int` | `lastLineNumber`
`int` | `lineNumber`

Constructor Summary
`ASTNode()`

Method Summary
`int` | `getColumnNumber()`
`int` | `getLastColumnNumber()`
`int` | `getLastLineNumber()`
`int` | `getLineNumber()`
`String` | `getText()`
`void` | `setColumnNumber(int columnNumber)`
`void` | `setLastColumnNumber(int lastColumnNumber)`
`void` | `setLastLineNumber(int lastLineNumber)`
`void` | `setLineNumber(int lineNumber)`
`void` | `setSourcePosition(ASTNode node)` Sets the source position using another ASTNode.
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ASTNode

    ASTNode()

Method Detail

### getColumnNumber

    public int getColumnNumber()

### getLastColumnNumber

    public int getLastColumnNumber()

### getLastLineNumber

    public int getLastLineNumber()

### getLineNumber

    public int getLineNumber()

### getText

    public String getText()

### setColumnNumber

    public void setColumnNumber(int columnNumber)

### setLastColumnNumber

    public void setLastColumnNumber(int lastColumnNumber)

### setLastLineNumber

    public void setLastLineNumber(int lastLineNumber)

### setLineNumber

    public void setLineNumber(int lineNumber)

### setSourcePosition

    public void setSourcePosition(ASTNode node)

  Sets the source position using another ASTNode. The sourcePosition consists of a line/column pair for the start and a line/column pair for the end of the expression or statement

### visit

    public void visit(GroovyCodeVisitor visitor)